सामग्री पर जाएँ

PATINA · Material · Extract

इंटीग्रेट करें

मॉडल id patina/material/extract
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/patina/material/extract?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.17 170 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model इमेज एडिटिंग #material#pbr#extraction

सतह का नाम बताने वाले प्रॉम्प्ट के मार्गदर्शन में स्रोत छवि से PBR मैप सहित टाइल योग्य टेक्स्चर निकालता है

Open model · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज से निकाले जाने वाले वांछित टेक्सचर का विवरण।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

टेक्सचर निकालने के लिए स्रोत इमेज URL।

image_size डिफ़ॉल्ट square_hd

परिणामी टेक्सचर के पिक्सेल आयाम।

upscale_factor डिफ़ॉल्ट 0

SeedVR सीमलेस अपस्केलिंग गुणक, जो पूर्वानुमानित PBR मैप को प्रभावित करता है, लेकिन बेस टेक्सचर को उसके मूल रिज़ॉल्यूशन पर रखता है। दोगुने रिज़ॉल्यूशन के लिए 2, चार गुने रिज़ॉल्यूशन के लिए 4, या अपस्केलिंग अक्षम करने के लिए 0 चुनें।

num_images डिफ़ॉल्ट 1

बनाई जाने वाली टेक्सचर इमेज की संख्या।

उन्नत tiling_mode · output_format · num_inference_steps · tile_size · tile_stride · strength · seed · enable_prompt_expansion · enable_safety_checker · maps
tiling_mode डिफ़ॉल्ट both

टाइलिंग की दिशा: सर्वदिशात्मक टाइलिंग के लिए 'both', या 'horizontal' अथवा 'vertical'।

output_format डिफ़ॉल्ट png

आउटपुट टेक्सचर और PBR मैप के लिए इमेज फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 8

टेक्सचर बनाने के लिए उपयोग की गई डीनॉइज़िंग चरणों की संख्या।

डिफ़ॉल्ट 128

लेटेंट-स्पेस टाइल आकार, जहाँ 64 का अर्थ 512px और 128 का अर्थ 1024px है। प्रत्येक टाइल किए गए अक्ष पर उत्पन्न इमेज का आयाम स्वचालित ऊपरी सीमा निर्धारित करता है।

डिफ़ॉल्ट 64

लेटेंट-स्पेस टाइलों के बीच स्ट्राइड सेट करें; स्वचालित सीमा इसे प्रभावी टाइल आकार के आधे से अधिक होने से रोकती है।

डिफ़ॉल्ट 0.6

केवल image_url के माध्यम से दी गई इमेज पर लागू की जाने वाली रूपांतरण तीव्रता; अन्यथा उपयोग नहीं की जाती।

निर्माण को पुनरुत्पादित करने योग्य बनाने वाला रैंडम seed।

डिफ़ॉल्ट ["basecolor","normal"...

पूर्वानुमान के लिए चुने गए PBR मैप, जिनमें डिफ़ॉल्ट रूप से सभी पाँच चुने जाते हैं। कोई भी न चुनने पर PBR अनुमान पूरी तरह छोड़ दिया जाता है।

POST /run/patina/material/extract?wait=20 कोटेशन → $0.17
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/patina/material/extract?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

PATINA · Material · Extract के बारे में

निकाली जाने वाली सतह का वर्णन करने वाली छवि और प्रॉम्प्ट लेता है, और अनुमानित PBR मैप के साथ टाइल योग्य टेक्स्चर लौटाता है। उत्पादित किए जाने वाले basecolor, normal, roughness, metalness और height में से चुनने के लिए `maps` का उपयोग करें। विकल्पों में `tiling_mode`, 0 से 1 तक `strength`, 0, 2 या 4 का `upscale_factor`, और 1 से 4 आउटपुट शामिल हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज से निकाले जाने वाले वांछित टेक्सचर का विवरण।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
परिणामी टेक्सचर के पिक्सेल आयाम।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट8
1 – 8
टेक्सचर बनाने के लिए उपयोग की गई डीनॉइज़िंग चरणों की संख्या।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पादित करने योग्य बनाने वाला रैंडम seed।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
बनाई जाने वाली टेक्सचर इमेज की संख्या।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
विवरण जोड़ने के लिए LLM-आधारित प्रॉम्प्ट विस्तार सक्षम करता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
उत्पन्न इमेज की सुरक्षा जाँच सक्षम करता है।
tiling_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टboth
bothhorizontalvertical
टाइलिंग की दिशा: सर्वदिशात्मक टाइलिंग के लिए 'both', या 'horizontal' अथवा 'vertical'।
tile_sizeवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट128
32 – 256
लेटेंट-स्पेस टाइल आकार, जहाँ 64 का अर्थ 512px और 128 का अर्थ 1024px है। प्रत्येक टाइल किए गए अक्ष पर उत्पन्न इमेज का आयाम स्वचालित ऊपरी सीमा निर्धारित करता है।
tile_strideवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट64
16 – 128
लेटेंट-स्पेस टाइलों के बीच स्ट्राइड सेट करें; स्वचालित सीमा इसे प्रभावी टाइल आकार के आधे से अधिक होने से रोकती है।
image_urlआवश्यक image
प्रकारurl · image
टेक्सचर निकालने के लिए स्रोत इमेज URL।
strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.6
≤ 1> 0
केवल image_url के माध्यम से दी गई इमेज पर लागू की जाने वाली रूपांतरण तीव्रता; अन्यथा उपयोग नहीं की जाती।
mapsवैकल्पिक
प्रकारenum[]
डिफ़ॉल्ट["basecolor","normal","roughness","metalness","height"]
पूर्वानुमान के लिए चुने गए PBR मैप, जिनमें डिफ़ॉल्ट रूप से सभी पाँच चुने जाते हैं। कोई भी न चुनने पर PBR अनुमान पूरी तरह छोड़ दिया जाता है।
upscale_factorवैकल्पिक
प्रकारenum
डिफ़ॉल्ट0
024
SeedVR सीमलेस अपस्केलिंग गुणक, जो पूर्वानुमानित PBR मैप को प्रभावित करता है, लेकिन बेस टेक्सचर को उसके मूल रिज़ॉल्यूशन पर रखता है। दोगुने रिज़ॉल्यूशन के लिए 2, चार गुने रिज़ॉल्यूशन के लिए 4, या अपस्केलिंग अक्षम करने के लिए 0 चुनें।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
आउटपुट टेक्सचर और PBR मैप के लिए इमेज फ़ाइल फ़ॉर्मैट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "patina/material/extract",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 170,
    "usd": "0.17",
    "charged": 170,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "prompt": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of anyआउटपुट इमेज में z-image द्वारा बनाए गए टाइल योग्य टेक्सचर के साथ PATINA द्वारा पूर्वानुमानित PBR सामग्री मैप शामिल होते हैं।
seed
integerटेक्सचर बनाते समय लागू किया गया सीड।
prompt
stringटेक्सचर-निर्माण प्रॉम्प्ट, जिसमें लागू किया गया कोई भी विस्तार शामिल है।
timings
objectसेकंड में पूरी प्रक्रिया का टाइमिंग विवरण।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/patina/material/extract.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt